Bug 537970 - publican does not brew on CSB
publican does not brew on CSB
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Joshua Wulf
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-16 20:21 EST by Chester Cheng
Modified: 2016-06-23 00:45 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-10 00:13:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chester Cheng 2009-11-16 20:21:13 EST
Description of problem:


Version-Release number of selected component (if applicable):
On an updated CSB machine:
Installed Packages
publican.noarch                               1.2-0.el5                installed
publican-WebSite-obsoletes.noarch             1.14-1.el5               installed
publican-doc.noarch                           1.2-0.el5                installed
publican-fedora.noarch                        1.0-0.el5                installed
publican-gimp.noarch                          1.0-0.el5                installed
publican-jboss.noarch                         1.0-0.el5                installed
publican-ovirt.noarch                         1.0-0.el5                installed
publican-redhat.noarch                        1.0-0.el5.t1             installed
publican-redhat-internal.noarch               1.0-1.el5                installed

How reproducible:
Easy.

Steps to Reproduce:
1. Check out Virtualization Guide 5.4 FINAL at https://svn.devel.redhat.com/repos/ecs/Red_Hat_Enterprise_Linux/5.4/FINAL/Virtualization_Guide/
2. $ publican package --brew --scratch --lang=zh-TW
3.
  
Actual results:
        ......
        Processing file tmp/zh-TW/xml_tmp/Xen_Migration.xml
        Using XML::LibXSLT on /usr/share/publican/xsl/web-spec.xsl
-bs: 未知的選項  (Translator's note: Unknown option)
/bin/rpm exited with value 1
 at /usr/bin/publican line 470

Expected results:
Virtualization Guide being pushed to brew.

Additional info:
Comment 1 Jeff Fearn 2009-11-16 22:05:58 EST
rpm-build is missing from the install deps. Added Requires: rpm-build.

work around is to run 'sudo yum install rpm-build'
Comment 2 Fedora Update System 2009-12-07 21:14:50 EST
publican-1.3-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.3-0.fc12
Comment 3 Fedora Update System 2009-12-07 21:18:11 EST
publican-1.3-0.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/publican-1.3-0.fc11
Comment 4 Fedora Update System 2009-12-09 23:13:48 EST
publican-1.3-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2009-12-09 23:26:40 EST
publican-1.3-0.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.